Skip to main content
POST
Child Address Execute

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

addressId
string
required
Example:

"ADDRESS_ID"

Body

application/json
fromAssetId
string
required

The asset ID to swap from.

Example:

"eda105b9-9471-4149-adb3-7dbf285ec0ab"

toAssetId
string
required

The asset ID to swap to.

Example:

"84c8ad33-1450-4d61-9f8f-f0505039f2ec"

amount
string
required

The source amount when amountSide is source, or the target amount when amountSide is target.

Example:

"1000"

amountSide
enum<string>
default:source

Use source when amount is the asset amount to spend. Use target when amount is the destination asset amount to receive.

Available options:
source,
target
Example:

"source"

recipientAddress
string

The external address you want to swap to.

order
enum<string>
default:RECOMMENDED

Quote preference.

Available options:
FASTEST,
CHEAPEST,
RECOMMENDED,
NO_SLIPPAGE
Example:

"RECOMMENDED"

Response

200 - application/json

200 - External Recipient Address / 200 - Recipient Master Wallet

data
object
message
string
Example:

"Swap transaction created successfully"

statusCode
number
Example:

200